%global         commit          fe0a09a0406341e8ee82a6290e583b6520ba38c2
%global         githash         %(c=%{commit}; echo ${c:0:7})
%global         gitdate         20170511
%global         gittime         1935
%global         gtk3version     3.18
%global         gtk2version     2.24
%global         pkgname         Adapta

Name:           adapta-gtk-theme
Version:        3.90.0
Release:        1.%{gitdate}%{gittime}git%{githash}%{?dist}
Summary:        An adaptive Gtk+ theme based on Material Design Guidelines

Group:          User Interface/Desktops
# SVG-files are CC-BY-SA rest is GPLv3+
License:        GPLv3+ and CC-BY-SA
URL:            https://github.com/adapta-project/%{pkgname}
Source:         https://github.com/adapta-project/%{pkgname}/archive/%{commit}/%{pkgname}-v%{version}-%{githash}.tar.gz

BuildRequires:  automake
BuildRequires:  sassc >= 3.3
BuildRequires:  inkscape >= 0.91
BuildRequires:  parallel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildArch:      noarch

%description
An adaptive Gtk+ theme based on Material Design Guidelines.
Lots of elements are forked from Flat-Plat: https://github.com/nana-4/Flat-Plat

%package common
Summary:        Files common to %{pkgname} themes
Group:          User Interface/Desktops
Requires:       gnome-themes-standard
Obsoletes:      %{pkgname}-common <= %{version}-%{release}

%description common
Files which are common to all %{pkgname} themes.

%package gtk2
Summary:        %{pkgname} GTK+2 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       gtk2 >= %{gtk2version}
Requires:       gtk2-engines
Obsoletes:      %{pkgname}-gtk2-theme <= %{version}-%{release}

%description gtk2
Themes for GTK+2 as part of the %{pkgname} theme.

%package gtk3
Summary:        %{pkgname} GTK+3 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       gtk3 >= %{gtk3version}
Obsoletes:      %{pkgname}-gtk3-theme <= %{version}-%{release}

%description gtk3
Themes for GTK+3 as part of the %{pkgname} theme.

%package gtk4
Summary:        %{pkgname} GTK+4 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       gtk3 >= %{gtk3version}

%description gtk4
Themes for GTK+4 as part of the %{pkgname} theme.

%package metacity
Summary:        %{pkgname} Metacity themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       metacity
Obsoletes:      %{pkgname}-metacity-theme <= %{version}-%{release}

%description metacity
Themes for Metacity as part of the %{pkgname} theme.

%package cinnamon
Summary:        %{pkgname} Cinnamon themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       cinnamon
Obsoletes:      %{pkgname}-cinnamon-theme <= %{version}-%{release}

%description cinnamon
Themes for Cinnamon as part of the %{pkgname} theme.

%package -n gnome-shell-theme-adapta
Summary:        Adapta GNOME Shell theme
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       gnome-shell-extension-user-theme >= %{gtk3version}
Requires:       google-noto-sans-fonts
Obsoletes:      gnome-shell-theme-Adapta <= %{version}-%{release}

%description -n gnome-shell-theme-adapta
Adapta GNOME Shell theme.

%package xfwm4
Summary:        %{pkgname} Xfwm4 themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       xfwm4
Obsoletes:      %{pkgname}-xfwm4-theme <= %{version}-%{release}

%description xfwm4
Themes for Xfwm4 as part of the %{pkgname} theme.

%package xfce4-notifyd
Summary:        %{pkgname} Xfce4 notifyd theme
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       xfce4-notifyd
Obsoletes:      %{pkgname}-xfce4-notifyd-theme <= %{version}-%{release}

%description xfce4-notifyd
Themes for Xfce4 notifyd as part of the %{pkgname} theme.

%package plank
Summary:        %{pkgname} Plank themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       plank
Obsoletes:      %{pkgname}-plank-theme <= %{version}-%{release}

%description plank
Themes for Plank as part of the %{pkgname} theme.

%package chrome
Summary:        %{pkgname} Chrome(ium) themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Obsoletes:      %{pkgname}-chrome-theme <= %{version}-%{release}

%description chrome
Themes for Chrome(ium) as part of the %{pkgname} theme.

%package openbox
Summary:        %{pkgname} openbox themes
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       openbox >= 3.6.1
Obsoletes:      %{pkgname}-openbox-theme <= %{version}-%{release}

%description openbox
Themes for openbox as part of the Adapta theme.

%package gedit
Summary:        %{pkgname} gEdit theme
Group:          User Interface/Desktops
Requires:       %{name}-common = %{version}-%{release}
Requires:       gedit >= %{gtk3version}

%description gedit
Themes for gEdit as part of the %{pkgname} theme.

%prep -n
%setup -q -n %{name}-%{commit}

%build
NOCONFIGURE=yes ./autogen.sh
%configure --prefix=/usr --disable-unity --enable-plank --enable-chrome --disable-telegram --enable-gtk_legacy --enable-gtk_next
make

%install
%make_install
rm %{buildroot}%{_datadir}/themes/%{pkgname}/index.theme
rm %{buildroot}%{_datadir}/themes/%{pkgname}-Eta/index.theme
rm %{buildroot}%{_datadir}/themes/%{pkgname}-Nokto/index.theme
rm %{buildroot}%{_datadir}/themes/%{pkgname}-Nokto-Eta/index.theme

%clean
rm -rf %{buildroot}

%files common
%dir %{_datadir}/themes/%{pkgname}/
%dir %{_datadir}/themes/%{pkgname}-Eta/
%dir %{_datadir}/themes/%{pkgname}-Nokto/
%dir %{_datadir}/themes/%{pkgname}-Nokto-Eta/
%license %{_datadir}/themes/%{pkgname}/COPYING
%license %{_datadir}/themes/%{pkgname}/LICENSE_CC_BY_SA4
%doc %{_datadir}/themes/%{pkgname}/README.md

%files gtk2
%{_datadir}/themes/%{pkgname}/gtk-2.0/
%{_datadir}/themes/%{pkgname}-Eta/gtk-2.0/
%{_datadir}/themes/%{pkgname}-Nokto/gtk-2.0/
%{_datadir}/themes/%{pkgname}-Nokto-Eta/gtk-2.0/

%files gtk3
%{_datadir}/themes/%{pkgname}/gtk-3.*/
%{_datadir}/themes/%{pkgname}-Eta/gtk-3.*
%{_datadir}/themes/%{pkgname}-Nokto/gtk-3.*
%{_datadir}/themes/%{pkgname}-Nokto-Eta/gtk-3.*

%files gtk4
%{_datadir}/themes/%{pkgname}/gtk-4.*/
%{_datadir}/themes/%{pkgname}-Eta/gtk-4.*
%{_datadir}/themes/%{pkgname}-Nokto/gtk-4.*
%{_datadir}/themes/%{pkgname}-Nokto-Eta/gtk-4.*

%files -n gnome-shell-theme-adapta
%{_datadir}/themes/%{pkgname}/gnome-shell/
%{_datadir}/themes/%{pkgname}-Nokto/gnome-shell/
%{_datadir}/themes/%{pkgname}-Eta/gnome-shell/
%{_datadir}/themes/%{pkgname}-Nokto-Eta/gnome-shell/

%files metacity
%{_datadir}/themes/%{pkgname}/metacity-1/
%{_datadir}/themes/%{pkgname}-Eta/metacity-1
%{_datadir}/themes/%{pkgname}-Nokto/metacity-1
%{_datadir}/themes/%{pkgname}-Nokto-Eta/metacity-1

%files cinnamon
%{_datadir}/themes/%{pkgname}/cinnamon/
%{_datadir}/themes/%{pkgname}-Nokto/cinnamon/

%files xfwm4
%{_datadir}/themes/%{pkgname}/xfwm4/
%{_datadir}/themes/%{pkgname}-Nokto/xfwm4

%files xfce4-notifyd
%{_datadir}/themes/%{pkgname}/xfce-notify-4.0/

%files plank
%{_datadir}/themes/%{pkgname}/plank/
%{_datadir}/themes/%{pkgname}-Eta/plank
%{_datadir}/themes/%{pkgname}-Nokto/plank
%{_datadir}/themes/%{pkgname}-Nokto-Eta/plank

%files chrome
%{_datadir}/themes/%{pkgname}/chrome/
%{_datadir}/themes/%{pkgname}-Eta/chrome
%{_datadir}/themes/%{pkgname}-Nokto/chrome/
%{_datadir}/themes/%{pkgname}-Nokto-Eta/chrome

%files openbox
%{_datadir}/themes/%{pkgname}/openbox-3/
%{_datadir}/themes/%{pkgname}-Nokto/openbox-3/

%files gedit
%doc %{_datadir}/themes/%{pkgname}/gedit/README.md
%{_datadir}/themes/%{pkgname}/gedit/adapta.xml
%{_datadir}/themes/%{pkgname}-Nokto/gedit

%changelog
* Wed Oct 19 2016 Heiko Adams <heiko.adams@gmail.com> - 3.22.1-1.201610192105git60d69bb
- Rename to adapta-gtk-theme to follow upstream project-naming

* Tue Aug 30 2016 Heiko Adams <heiko.adams@gmail.com> - 3.21.5-1.201608301600git1232ab7
- New ETA-Version of theme with small widgets included
